Page MenuHomePhabricator

Suggested Bibliographic Citations in Bulgarian
Open, MediumPublic

Description

Author: ivanov224

Description:
According to the Bulgarian Institute for Standardization, citations in Bulgarian language must be done in БДС 17377-96.

More info: http://en.wikipedia.org/wiki/Wikipedia_talk:Citing_Wikipedia#Suggested_Bibliographic_Citations_in_Bulgarian.2C_.D0.91.D0.94.D0.A1_17377-96

Could you please add that pattern?


Version: unspecified
Severity: enhancement

Details

Reference
bz29192

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:33 PM
bzimport added a project: Cite.
bzimport set Reference to bz29192.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.May 31 2011, 8:50 PM

This can be added directly on bg.wikipedia.org by local sysops by editing this message page:

http://bg.wikipedia.org/wiki/MediaWiki:Cite_text

The citation text styles could also be copied back to a cite_text-bg file to ship with Special:Cite by default, but I don't know if it's ok or what needs cleanup.

(Does TranslateWiki manage those files or are they separately created?)

brion added a comment.May 31 2011, 8:53 PM

Raymond says the separate cite_text-* files are not handled by TranslateWiki, so we can go ahead and commit a patch directly when ready.

ivanov224 wrote:

I think the code should be:

[[:en:Bulgarian State Standard|БДС 17377-96]]

{{FULLPAGENAME}}. // {{SITENAME}} ({{MediaWiki:Sitesubtitle}}) <{{fullurl:{{FULLPAGENAME}}|oldid={{REVISIONID}}}}> (<citation>{{CURRENTDAY}} {{CURRENTMONTHABBREV}} {{CURRENTYEAR}}</citation>).

And one more important thing: the foreign bibliographic standards must not be translated in Bulgarian. I mean the specific words must stay in English. For example: '[Интернет]' must be left as '[Internet]'. 'Достъп на' must be 'Available from:' and 'цитиране' must be 'cited'.

That is actually the same as the Russian citation. We have similar standards.
Exammle: http://ru.wikipedia.org/w/index.php?title=%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:Cite&page=%D0%9A%D0%BD%D0%B8%D0%B3%D0%B0&id=34521779

ivanov224 wrote:

the HTML code of Cite_text-bg page with added Bulgarian State Standard

This is the code of the MediaWiki:Cite_text page in Bulgarian (http://bg.wikipedia.org/wiki/%D0%9C%D0%B5%D0%B4%D0%B8%D1%8F%D0%A3%D0%B8%D0%BA%D0%B8:Cite_text). I added the code of the Bulgarian State Standard, fixed the translation of the other citing styles and applied a bit of CSS styling for BSS.

attachment Wiki-BDS-patch.txt ignored as obsolete

ivanov224 wrote:

[Encoding fix] the HTML code of Cite_text-bg page with added Bulgarian State Standard

FIX: This is a HTML page with UTF-8 encoding. I noticed that the plain text (http://bug-attachment.wikimedia.org/attachment.cgi?id=8605) does not show the Cyrillic characters.

This is the code of the MediaWiki:Cite_text page in Bulgarian
(http://bg.wikipedia.org/wiki/%D0%9C%D0%B5%D0%B4%D0%B8%D1%8F%D0%A3%D0%B8%D0%BA%D0%B8:Cite_text).
I added the code of the Bulgarian State Standard, fixed the translation of the
other citing styles and applied a bit of CSS styling for BSS.

Attached:

Legoktm edited projects, added CiteThisPage; removed Cite.Dec 24 2014, 4:40 PM
Restricted Application added a subscriber: kerberizer. · View Herald TranscriptAug 7 2017, 1:31 PM